ColumnFieldAdapter (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.document.column, class: ColumnFieldAdapter

Package org.apache.lucene.document.column

# Class ColumnFieldAdapter

java.lang.Object
org.apache.lucene.document.Field
org.apache.lucene.document.column.ColumnFieldAdapter

All Implemented Interfaces:
  `IndexableField`

public abstract sealed class ColumnFieldAdapter extends Field
Lightweight adapter that presents a `Column`'s current cursor value as an `IndexableField` so it can be fed through the row-oriented indexing pass (stored fields and term inversion). Holds a fresh tuple cursor over the underlying column; one instance is created per column per batch.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.document.Field

  `Field.Store`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.document.Field

  `fieldsData, name, type`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ColumnFieldAdapter`
  `create(Column column)`
  Returns an adapter for the given column, dispatching on its concrete type.
  `abstract int`
  `nextDoc()`
  Advances to the next batch-local doc-id with a value.

  ### Methods inherited from class org.apache.lucene.document.Field

  `binaryValue, fieldType, getCharSequenceValue, invertableType, name, numericValue, readerValue, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, storedValue, stringValue, tokenStream, tokenStreamValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static ColumnFieldAdapter create(Column column)
    Returns an adapter for the given column, dispatching on its concrete type.

  - ### nextDoc

    public abstract int nextDoc()
    Advances to the next batch-local doc-id with a value.